[arch-commits] Commit in catalyst-utils/trunk (3 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Oct 25 16:45:38 EDT 2008


    Date: Saturday, October 25, 2008 @ 16:45:35
  Author: andyrtr
Revision: 17146

upgpkg: catalyst-utils 8.11-0.2
    make it work and prepare next release

Modified:
  catalyst-utils/trunk/ChangeLog
  catalyst-utils/trunk/PKGBUILD
  catalyst-utils/trunk/catalyst-utils.install

------------------------+
 ChangeLog              |    5 ++++
 PKGBUILD               |   52 +++++++++++++++++++++++++++++++++--------------
 catalyst-utils.install |    4 +--
 3 files changed, 44 insertions(+), 17 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-10-25 19:05:07 UTC (rev 17145)
+++ ChangeLog	2008-10-25 20:45:35 UTC (rev 17146)
@@ -1,3 +1,8 @@
+2008-10-25 Andreas Radke <andyrtr at archlinux.org>
+  * 8.11-0.2
+	make the driver work
+	prepare changes the next installer will bring
+
 2008-10-17 Jan de Groot <jgc at archlinux.org>
   * 8.11-0.1
 	Update to Ubuntu's prerelease of 8.11.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-25 19:05:07 UTC (rev 17145)
+++ PKGBUILD	2008-10-25 20:45:35 UTC (rev 17146)
@@ -1,12 +1,12 @@
 # $Id$
-# Maintainer: Travis Willard <travisw at wmpub.ca>
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
 
-# Thanks to dibblethewrecker for the original work and packages.
+# Thanks to dibblethewrecker+Travis for the original work and packages.
 # Thanks to testing monkey S1G1 for contributions
 
 pkgname=catalyst-utils
 pkgver=8.11
-pkgrel=0.1
+pkgrel=0.2
 pkgdesc="Proprietary AMD/ATI userspace tools and libraries for Radeon brand cards."
 arch=('i686' 'x86_64')
 url="http://www.ati.amd.com"
@@ -19,38 +19,50 @@
 provides=('libgl')
 options=('!strip')
 install=catalyst-utils.install
-source=(http://archive.ubuntu.com/ubuntu/pool/multiverse/f/fglrx-installer/fglrx-installer_8.543.orig.tar.gz
-        amdcccle.desktop catalyst.sh atieventsd.sh)
+source=(#http://archive.ubuntu.com/ubuntu/pool/multiverse/f/fglrx-installer/fglrx-installer_8.543.orig.tar.gz
+	ftp://ftp.archlinux.org/other/catalyst/fglrx-installer_8.543.orig.tar.gz
+	#XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX-x86.x86_64.run
+        catalyst.sh amdcccle.desktop atieventsd.sh)
 md5sums=('6abc8e86f1a00168ba8f43d58f71cb69'
+         'bdafe749e046bfddee2d1c5e90eabd83'
          '4efa8414a8fe9eeb50da38b5522ef81d'
-         'bdafe749e046bfddee2d1c5e90eabd83'
          'f729bf913613f49b0b9759c246058a87')
 
 build() {
+  # Extract it
+#  /bin/sh ./ati-driver-installer-${pkgver/./-}-x86.x86_64.run --extract archive_files
+#  /bin/sh ./ati-driver-installer-XXXXXXXX-x86.x86_64.run --extract archive_files
+
   # Create directories
+  install -m755 -d "${pkgdir}/etc/ati"
+  install -m755 -d "${pkgdir}/etc/rc.d"
+  install -m755 -d "${pkgdir}/etc/profile.d"
+  install -m755 -d "${pkgdir}/etc/acpi/events"
+
   install -m755 -d "${pkgdir}/usr/lib/xorg/modules/dri"
   install -m755 -d "${pkgdir}/usr/lib/xorg/modules/drivers"
   install -m755 -d "${pkgdir}/usr/lib/xorg/modules/extensions"
   install -m755 -d "${pkgdir}/usr/lib/xorg/modules/linux"
+
   install -m755 -d "${pkgdir}/usr/bin"
   install -m755 -d "${pkgdir}/usr/sbin"
-  install -m755 -d "${pkgdir}/etc/acpi/events"
-  install -m755 -d "${pkgdir}/etc/ati"
-  install -m755 -d "${pkgdir}/etc/rc.d"
-  install -m755 -d "${pkgdir}/etc/profile.d"
+
   install -m755 -d "${pkgdir}/usr/include/X11/extensions"
   install -m755 -d "${pkgdir}/usr/include/GL"
+
+  install -m755 -d "${pkgdir}/usr/share/applications"
   install -m755 -d "${pkgdir}/usr/share/ati/amdcccle"
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m755 -d "${pkgdir}/usr/share/man/man8"
   install -m755 -d "${pkgdir}/usr/share/pixmaps"
-  install -m755 -d "${pkgdir}/usr/share/man/man8"
-  install -m755 -d "${pkgdir}/usr/share/applications"
-  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
 
   # X driver installation
   if [ "${CARCH}" = "i686" ]; then
     cd "${srcdir}/x740/usr/X11R6/lib/modules" || return 1
+    #cd "${srcdir}/archive_files/x740/usr/X11R6/lib/modules" || return 1
   elif [ "${CARCH}" = "x86_64" ]; then
     cd "${srcdir}/x740_64a/usr/X11R6/lib64/modules" || return 1
+    #cd "${srcdir}/archive_files/x740_64a/usr/X11R6/lib64/modules" || return 1
   fi
   install -m644 *.a "${pkgdir}/usr/lib/xorg/modules/" || return 1
   install -m755 *.so "${pkgdir}/usr/lib/xorg/modules/" || return 1
@@ -62,17 +74,22 @@
   # Controlcenter / library installation
   if [ "${CARCH}" = "i686" ]; then
     cd "${srcdir}/arch/x86/usr" || return 1
+    #cd "${srcdir}/archive_files/arch/x86/usr" || return 1
     _lib=lib
   elif [ "${CARCH}" = "x86_64" ]; then
     cd "${srcdir}/arch/x86_64/usr" || return 1
+    #cd "${srcdir}/archive_files/arch/x86_64/usr" || return 1
     _lib=lib64
   fi
   install -m755 X11R6/bin/* "${pkgdir}/usr/bin/" || return 1
   install -m755 sbin/* "${pkgdir}/usr/sbin/"  || return 1
   install -m755 X11R6/${_lib}/*.so* "${pkgdir}/usr/lib/" || return 1
-  install -m644 X11R6/${_lib}/*.a "${pkgdir}/usr/lib/" || return 1
+  install -m644 X11R6/${_lib}/*.a "${pkgdir}/usr/lib/" || return 1 # really needed?
   install -m644 X11R6/${_lib}/*.cap "${pkgdir}/usr/lib/" || return 1
   install -m755 X11R6/${_lib}/modules/dri/*.so "${pkgdir}/usr/lib/xorg/modules/dri/" || return 1
+
+  ln -sf /usr/lib/xorg/modules/dri ${pkgdir}/usr/lib/dri
+
   ln -sf libfglrx_dm.so.1.0 "${pkgdir}/usr/lib/libfglrx_dm.so.1"
   ln -sf libfglrx_pp.so.1.0 "${pkgdir}/usr/lib/libfglrx_pp.so.1"
   ln -sf libfglrx_tvout.so.1.0 "${pkgdir}/usr/lib/libfglrx_tvout.so.1"
@@ -81,13 +98,16 @@
   ln -sf libGL.so.1.2 "${pkgdir}/usr/lib/libGL.so"
 
   cd "${srcdir}"
+  #cd "${srcdir}"/archive_files/common
   install -m644 etc/ati/* "${pkgdir}/etc/ati/" || return 1
   chmod 755 "${pkgdir}/etc/ati/authatieventsd.sh" || return 1
 
   install -m644 usr/X11R6/include/X11/extensions/*.h "${pkgdir}/usr/include/X11/extensions/" || return 1
+#  install -m644 usr/X11R6/bin/amdupdaterandrconfig "${pkgdir}/usr/bin/" || return 1
   install -m644 usr/include/GL/*.h "${pkgdir}/usr/include/GL/" || return 1
   install -m755 usr/sbin/*.sh "${pkgdir}/usr/sbin/" || return 1
-  install -m644 usr/share/ati/amdcccle/* "${pkgdir}/usr/share/ati/amdcccle/" || return 1
+  install -m644 usr/share/ati/amdcccle/* "${pkgdir}/usr/share/ati/amdcccle/" || return 1 # ? what are these files for?
+#  install -m644 usr/share/gnome/apps/amdcccle.desktop "${pkgdir}/usr/share/applications/" || return 1
   install -m644 usr/share/icons/*.xpm "${pkgdir}/usr/share/pixmaps/" || return 1
   install -m644 usr/share/man/man8/*.8 "${pkgdir}/usr/share/man/man8/" || return 1
   install -m644 "${srcdir}/amdcccle.desktop" "${pkgdir}/usr/share/applications/" || return 1
@@ -103,5 +123,7 @@
   # thanks to cerebral, we dont need that damned symlink
   install -m755 "${srcdir}/catalyst.sh" "${pkgdir}/etc/profile.d/" || return 1
 
+
   install -m644 "${srcdir}/usr/share/doc/fglrx/ATI_LICENSE.TXT" "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+  #install -m644 "${srcdir}/archive_files/ATI_LICENSE.TXT" "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }

Modified: catalyst-utils.install
===================================================================
--- catalyst-utils.install	2008-10-25 19:05:07 UTC (rev 17145)
+++ catalyst-utils.install	2008-10-25 20:45:35 UTC (rev 17146)
@@ -9,12 +9,12 @@
   echo "--------------------------------------------------------------"
 
   rm -f usr/lib/xorg/modules/extensions/libdri.so
-  ln -sf libglx.ati usr/lib/xorg/modules/extensions/libdri.so
+  ln -sf libdri.ati usr/lib/xorg/modules/extensions/libdri.so
 }
 
 post_upgrade() {
   rm -f usr/lib/xorg/modules/extensions/libdri.so
-  ln -sf libglx.ati usr/lib/xorg/modules/extensions/libdri.so
+  ln -sf libdri.ati usr/lib/xorg/modules/extensions/libdri.so
 }
 
 post_remove() {




More information about the arch-commits mailing list